> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Expiring User Delegation Binding By Admin

> Invokes the c1.api.user.v1.UserService.SetExpiringUserDelegationBindingByAdmin method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/users/{user_id}/set-delegation-by-admin
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/users/{user_id}/set-delegation-by-admin:
    post:
      tags:
        - User
      summary: Set Expiring User Delegation Binding By Admin
      description: >-
        Invokes the
        c1.api.user.v1.UserService.SetExpiringUserDelegationBindingByAdmin
        method.
      operationId: c1.api.user.v1.UserService.SetExpiringUserDelegationBindingByAdmin
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            description: The userId field.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.user.v1.SetExpiringUserDelegationBindingByAdminRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.user.v1.SetExpiringUserDelegationBindingByAdminResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: SetExpiringUserDelegationBindingByAdmin
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.User.SetExpiringUserDelegationBindingByAdmin(ctx, operations.C1APIUserV1UserServiceSetExpiringUserDelegationBindingByAdminRequest{\n        UserID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SetExpiringUserDelegationBindingByAdminResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.user.setExpiringUserDelegationBindingByAdmin({
                userId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.user.v1.SetExpiringUserDelegationBindingByAdminRequestInput:
      description: The SetExpiringUserDelegationBindingByAdminRequest message.
      properties:
        delegatedUserId:
          description: The delegatedUserId field.
          readOnly: false
          type: string
        delegationExpireAt:
          format: date-time
          readOnly: false
          type: string
        delegationStartAt:
          format: date-time
          readOnly: false
          type: string
      title: Set Expiring User Delegation Binding By Admin Request
      type: object
      x-speakeasy-name-override: SetExpiringUserDelegationBindingByAdminRequest
    c1.api.user.v1.SetExpiringUserDelegationBindingByAdminResponse:
      description: The SetExpiringUserDelegationBindingByAdminResponse message.
      properties:
        item:
          $ref: '#/components/schemas/c1.api.user.v1.ExpiringUserDelegationBinding'
      title: Set Expiring User Delegation Binding By Admin Response
      type: object
      x-speakeasy-name-override: SetExpiringUserDelegationBindingByAdminResponse
    c1.api.user.v1.ExpiringUserDelegationBinding:
      description: The ExpiringUserDelegationBinding message.
      properties:
        createdAt:
          format: date-time
          readOnly: false
          type: string
        delegatedUserId:
          description: The delegatedUserId field.
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        expirationAt:
          format: date-time
          readOnly: false
          type: string
        startAt:
          format: date-time
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: false
          type: string
        userId:
          description: The userId field.
          readOnly: false
          type: string
      title: Expiring User Delegation Binding
      type: object
      x-speakeasy-name-override: ExpiringUserDelegationBinding
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````